/**
 * SilverStripe Black Candy Theme
 * http://www.silverstripe.com
 *
 * This typography file is included in the WYSIWYG editor and the front end. It provides
 * a place to add link styles and font styles you would like in the CMS and the Front End.
 */

/* Colour Reference
--------------------------------------------

#ff3579 -> pink
#1a1818 -> dark grey
#4d4d4d -> medium grey

/* Fonts
-------------------------------------------- */

/*@font-face {
    font-family: 'DIN';
    src: url('fonts/DIN.eot');
    src: url('fonts/DIN.eot?#iefix') format('embedded-opentype'),
         url('fonts/DIN.woff') format('woff'),
         url('fonts/DIN.ttf') format('truetype'),
         url('fonts/DIN.svg#DIN') format('svg');
    font-weight: normal;
    font-style: normal;
}*/

/*@font-face {
    font-family: 'DSEF';
    src: url('fonts/DSEF.eot');
    src: url('fonts/DSEF.eot?#iefix') format('embedded-opentype'),
         url('fonts/DSEF.woff') format('woff'),
         url('fonts/DSEF.ttf') format('truetype'),
         url('fonts/DSEF.svg#DSEF') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'TGLT';
    src: url('fonts/TGLT.eot');
    src: url('fonts/TGLT.eot?#iefix') format('embedded-opentype'),
         url('fonts/TGLT.woff') format('woff'),
         url('fonts/TGLT.ttf') format('truetype'),
         url('fonts/TGLT.svg#TGLT') format('svg');
    font-weight: normal;
    font-style: normal;
}*/

@font-face {
	font-family: 'dinot_medium';
	src: url('fonts/dinot-medium-webfont.eot');
	src: url('fonts/dinot-medium-webfontd41d.eot?#iefix') format('embedded-opentype'),
	     url('fonts/dinot-medium-webfont.woff') format('woff'),
	     url('fonts/dinot-medium-webfont.ttf') format('truetype'),
	     url('fonts/dinot-medium-webfont.svg#din_otmedium') format('svg');
	font-weight: normal;
	font-style: normal;
}
@font-face {
	font-family: 'dinot_regular';
	src: url('fonts/dinot-webfont.eot');
	src: url('fonts/dinot-webfontd41d.eot?#iefix') format('embedded-opentype'),
	     url('fonts/dinot-webfont.woff') format('woff'),
	     url('fonts/dinot-webfont.ttf') format('truetype'),
	     url('fonts/dinot-webfont.svg#dinotregular') format('svg');
	font-weight: normal;
	font-style: normal;
}
@font-face {
	font-family: 'dinot_light';
	src: url('fonts/dinot-light-webfont.eot');
	src: url('fonts/dinot-light-webfontd41d.eot?#iefix') format('embedded-opentype'),
	     url('fonts/dinot-light-webfont.woff') format('woff'),
	     url('fonts/dinot-light-webfont.ttf') format('truetype'),
	     url('fonts/dinot-light-webfont.svg#din_otlight') format('svg');
	font-weight: normal;
	font-style: normal;
}

/* GLOBAL STYLES
-------------------------------------------- */
.typography * {
	color: #222222;
	font-family: "dinot_regular", Optima, Segoe, "Segoe UI", Candara, Calibri, Arial, sans-serif;
}

/* HEADER STYLES
-------------------------------------------- */

.typography h1,
.typography h2,
.typography h3,
.typography h4,
.typography h5,
.typography h6 {
	font-family: "dinot_light";
	font-weight: normal;
	text-transform: uppercase;
	padding: 0;
	margin: 0 0 0.5em 0;
}


/* PARAGRAPH STYLES
-------------------------------------------- */

.typography p {
	padding: 0;
	margin: 0 0 0.5em 0;
}

/* LINK STYLES
-------------------------------------------- */

.typography a {
	color: #ff3579;
	font-size: inherit;
	text-decoration: none;
}
.typography a:hover {
	text-decoration: underline;
}


/* HORIZONTAL RULE
-------------------------------------------- */


.typography hr {
	display: block;
	clear:both;
	width: 100%;
	height: 5px;
	border: none;
	margin: 0.5em 0;
	background: transparent url(images/ruler-tile.png) repeat-x;
}

/* LIST STYLES
-------------------------------------------- */

/* TABLE STYLING
-------------------------------------------- */

/* WYSIWYG EDITOR ALIGNMENT CLASSES
-------------------------------------------- */
.typography .left {
	text-align: left;
}
.typography .center {
	text-align: center;
}
.typography .right {
	text-align: right;
}

/* IMAGES
-------------------------------------------- */

.typography img {
	display: block;
	width: 100%;
	height: auto;
	border: none;
	margin-bottom: 1em;
}
	.typography img.center {
		margin: 0 auto;
	}
	.typography img.left {
		float: left;
		width: 50%;
	}
	.typography img.right {
		float: right;
		width: 50%;
	}